%Calculate M*Q where Q is one rotation 
% Inputs:  c,s: for the Givens rotation matrix
%          i,k: columns of M
%          j1,j2: rows j1:j2 are affected

function M = gaCol(M, c, s, j1, j2, i, k)
M(j1:j2,[i k]) = M(j1:j2,[i k]) * [c s; -s c];    

    
%     for j = j1:j2
%       t1 = M(j,i);
%       t2 = M(j,k);
%       M(j,i) = c*t1 - s*t2;
%       M(j,k) = s*t1 + c*t2;
%     end