% Calculate c and s for one rotation 
function [c,s] = givCos(xi,xk)
if xk==0
  c = 1; s=0;
else
  if abs(xk)>abs(xi)
    t = -xi/xk;
    s = 1/sqrt(1+t^2);
    c = s*t;
  else
    t = -xk/xi;
    c = 1/sqrt(1+t^2);
    s = c*t;
  end
end
