%Calculate Q'*M where Q is one rotation 
% Inputs:  c,s: for the Givens rotation matrix
%          i,k: rows of M
%          j1,j2: columns j1:j2 are affected

function M = gaRow(M, c, s, i, k, j1, j2) 
M([i k],j1:j2) = [c -s;s c] * M([i k],j1:j2);

%     for j = j1:j2
%         t1 = M(i,j);
%         t2 = M(k,j);
%         M(i,j) = c*t1 - s*t2;
%         M(k,j) = s*t1 + c*t2;
%     end
