% Determine QR-Factorization with Givens rotations
function [R,c,s] = qrGivens(H)

n = size(H,2);

c = zeros(n-1,1);
s = zeros(n-1,1);
for k = 1:n-1
    [c(k),s(k)] = givCos(H(k,k),H(k+1,k));
    H = gaRow(H,c(k),s(k),k,k+1,k,n);
end
R = H;
%Q = prodGiv(c,s,n);
